import { ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * The lazy dialog container (aka dialog background overlay).
 *
 * @export
 * @class LazyDialogContainerComponent
 * @typedef {LazyDialogContainerComponent}
 */
export declare class LazyDialogContainerComponent {
    readonly dialogContainerStyles: Readonly<{
        [klass: string]: any;
    }>;
    /**
     * The container reference of the .dialogContainer element.
     *
     * @public
     * @type {!ViewContainerRef}
     */
    dialogContainer: ViewContainerRef;
    /**
     * Creates an instance of LazyDialogContainerComponent.
     *
     * @constructor
     * @public
     * @param {Readonly<{
          [klass: string]: any;
        }>} The dialog container's CSS styles.
     */
    constructor(dialogContainerStyles: Readonly<{
        [klass: string]: any;
    }>);
    static ɵfac: i0.ɵɵFactoryDeclaration<LazyDialogContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LazyDialogContainerComponent, "ngx-toolset-lazy-dialog-container", never, {}, {}, never, never, false>;
}
