import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./components/lazy-dialog-container/lazy-dialog-container.component";
import * as i2 from "@angular/common";
/**
 * The LazyDialogModule
 *
 * @export
 * @class LazyDialogModule
 * @typedef {LazyDialogModule}
 */
export declare class LazyDialogModule {
    /**
     * Creates an instance of LazyDialogModule.
     *
     * @constructor
     * @public
     * @param {LazyDialogModule} parentModule
     */
    constructor(parentModule: LazyDialogModule);
    /**
     * Creates the singleton services.
     *
     * @public
     * @static
     * @param {{
        [klass: string]: any;
     * }} dialogContainerStyles
     * @returns {ModuleWithProviders<LazyDialogModule>}
     */
    static forRoot(dialogContainerStyles: {
        [klass: string]: any;
    }): ModuleWithProviders<LazyDialogModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LazyDialogModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LazyDialogModule, [typeof i1.LazyDialogContainerComponent], [typeof i2.CommonModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LazyDialogModule>;
}
